Bug 1250939

Summary: DNF System Upgrades
Product: [Fedora] Fedora Reporter: Jan Kurik <jkurik>
Component: Changes TrackingAssignee: Jan Kurik <jkurik>
Status: CLOSED ERRATA QA Contact:
Severity: unspecified Docs Contact: Pete Travis <me>
Priority: unspecified    
Version: 23CC: arjunak234, edoubrayrie, egeorget, johannespfrang+redhat, jzeleny, kparal, me, rdieter, thozza, wwoods, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF23, SystemWideChange
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-03 05:52:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1252500, 1255505, 1261034    
Bug Blocks:    

Description Jan Kurik 2015-08-06 10:55:23 UTC
This is a tracking bug for Change: DNF System Upgrades
For more details, see: https://fedoraproject.org//wiki/Changes/DNF_System_Upgrades

fedup is being redesigned and integrated into DNF.

Comment 1 Jan Kurik 2015-09-01 14:54:15 UTC
This message is a reminder that Fedora 23 Change Checkpoint: 100% Code Complete Deadline is on 2015-Sep-08 [1].

Expected bug state is ON_QA - Change has to be code complete and is possible to test it in the Beta release.

Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution.  It's important milestone as contingency plan may be put into effect if the Change that miss this deadline.

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 2 Will Woods 2015-09-01 16:31:57 UTC
upgrade.img building has been dropped from lorax for F23 and rawhide.

This will be active after the next lorax build for F23 - probably lorax-23.18.

See https://github.com/rhinstaller/lorax/pull/41

Comment 3 Tomáš Hozza 🤓 2015-09-07 09:30:54 UTC
Hi.

This change should have been already in MODIFIED state for Alpha and in ON_QA state for Beta. Please provide update on the change - specifically current state and your plan for F23, until Wednesday 2015-09-09. If you want to explain the state on FESCo meeting, please attend this week's meeting on Wed 2015-09-09 at 18:00 UTC.

If no status will be provided and state of the bug changed, the Change will be most probably moved to F24.

Comment 4 Will Woods 2015-09-08 15:01:33 UTC
The plugin has been packaged and is now available for F21, F22, and F23:

  https://bodhi.fedoraproject.org/updates/?packages=dnf-plugin-system-upgrade

pretty sure that earns us at least "MODIFIED" state, so...

Comment 5 Fedora Update System 2015-10-28 17:44:58 UTC
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e00b75e39f

Comment 6 Fedora Update System 2015-11-02 00:27:27 UTC
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugin-system-upgrade'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e00b75e39f

Comment 7 Fedora Update System 2015-11-03 05:51:49 UTC
dnf-plugin-system-upgrade-0.7.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.